<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>My Project: validationFormat.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">validationFormat.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="validation_format_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef VALIDATIONFORMAT_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define VALIDATIONFORMAT_H_</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;ctype.h&quot;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;sstream&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceutil.html">util</a></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="validation_format_8cpp.html#aa69165682e833c42bef15f6c1f97322e">validerFormatNom</a>(<span class="keyword">const</span> std::string&amp; p_nom);</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="validation_format_8cpp.html#a88d142f8fe23ef612d4005149479c04f">validerCodeIssn</a>(<span class="keyword">const</span> std::string&amp; p_issn);</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="validation_format_8cpp.html#add1bcb74f53bd2b2e769bed0f0d97d54">validerCodeIsbn</a>(<span class="keyword">const</span> std::string&amp; p_isbn);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="validation_format_8cpp.html#a28b636dffc877eef425c82cb9df0f8b9">validerFormatIsbn10</a>(<span class="keyword">const</span> std::string&amp; p_isbn10, <span class="keywordtype">int</span> p_longueur);</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="validation_format_8cpp.html#a9d0085556f1dfbfbccd6e81f45c9fee5">validerFormatIsbn13</a>(<span class="keyword">const</span> std::string&amp; p_isbn13, <span class="keywordtype">int</span> p_longueur);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="validation_format_8cpp.html#ab4968d3f37b4d4d7beba8fd1aac36a2c">verifierCleIssn</a>(<span class="keyword">const</span> std::string&amp; p_issn);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="validation_format_8cpp.html#a04c9366c3790bda51e43930861fc4919">verifierCleIsbn10</a>(<span class="keyword">const</span> std::string&amp; p_isbn10);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keywordtype">bool</span> <a class="code" href="validation_format_8cpp.html#a83add10cf3b8f1802e5e5afd25a5dce1">verifierCleIsbn13</a>(<span class="keyword">const</span> std::string&amp; p_isbn13);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* VALIDATIONFORMAT_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="namespaceutil_html"><div class="ttname"><a href="namespaceutil.html">util</a></div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:13</div></div>
<div class="ttc" id="validation_format_8cpp_html_a83add10cf3b8f1802e5e5afd25a5dce1"><div class="ttname"><a href="validation_format_8cpp.html#a83add10cf3b8f1802e5e5afd25a5dce1">util::verifierCleIsbn13</a></div><div class="ttdeci">bool verifierCleIsbn13(const string &amp;p_isbn13)</div><div class="ttdoc">Fonction qui valide si la clé du code ISBN 13 entrée par l&amp;#39;utilisateur est valide. </div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:344</div></div>
<div class="ttc" id="validation_format_8cpp_html_add1bcb74f53bd2b2e769bed0f0d97d54"><div class="ttname"><a href="validation_format_8cpp.html#add1bcb74f53bd2b2e769bed0f0d97d54">util::validerCodeIsbn</a></div><div class="ttdeci">bool validerCodeIsbn(const string &amp;p_isbn)</div><div class="ttdoc">Fonction qui valide si le code ISBN entré par l&amp;#39;utilisateur est un code valide. </div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:127</div></div>
<div class="ttc" id="validation_format_8cpp_html_aa69165682e833c42bef15f6c1f97322e"><div class="ttname"><a href="validation_format_8cpp.html#aa69165682e833c42bef15f6c1f97322e">util::validerFormatNom</a></div><div class="ttdeci">bool validerFormatNom(const string &amp;p_nom)</div><div class="ttdoc">Fonction qui valide le format du nom entrée par l&amp;#39;utilisateur. </div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:25</div></div>
<div class="ttc" id="validation_format_8cpp_html_a28b636dffc877eef425c82cb9df0f8b9"><div class="ttname"><a href="validation_format_8cpp.html#a28b636dffc877eef425c82cb9df0f8b9">util::validerFormatIsbn10</a></div><div class="ttdeci">bool validerFormatIsbn10(const string &amp;p_isbn10, int p_longueurCode)</div><div class="ttdoc">Fonction qui valide si le format du code ISBN 10 entré par l&amp;#39;utilisateur est valide. </div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:175</div></div>
<div class="ttc" id="validation_format_8cpp_html_a88d142f8fe23ef612d4005149479c04f"><div class="ttname"><a href="validation_format_8cpp.html#a88d142f8fe23ef612d4005149479c04f">util::validerCodeIssn</a></div><div class="ttdeci">bool validerCodeIssn(const string &amp;p_issn)</div><div class="ttdoc">Fonction qui valide si le code ISSN entré par l&amp;#39;utilisateur est un code valide. </div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:60</div></div>
<div class="ttc" id="validation_format_8cpp_html_ab4968d3f37b4d4d7beba8fd1aac36a2c"><div class="ttname"><a href="validation_format_8cpp.html#ab4968d3f37b4d4d7beba8fd1aac36a2c">util::verifierCleIssn</a></div><div class="ttdeci">bool verifierCleIssn(const string &amp;chiffreSansTiret)</div><div class="ttdoc">Fonction qui valide si la clé du code ISSN entrée par l&amp;#39;utilisateur est valide. </div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:270</div></div>
<div class="ttc" id="validation_format_8cpp_html_a9d0085556f1dfbfbccd6e81f45c9fee5"><div class="ttname"><a href="validation_format_8cpp.html#a9d0085556f1dfbfbccd6e81f45c9fee5">util::validerFormatIsbn13</a></div><div class="ttdeci">bool validerFormatIsbn13(const string &amp;p_isbn13, int p_longueurCode)</div><div class="ttdoc">Fonction qui valide si le format du code ISBN 13 entré par l&amp;#39;utilisateur est valide. </div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:222</div></div>
<div class="ttc" id="validation_format_8cpp_html_a04c9366c3790bda51e43930861fc4919"><div class="ttname"><a href="validation_format_8cpp.html#a04c9366c3790bda51e43930861fc4919">util::verifierCleIsbn10</a></div><div class="ttdeci">bool verifierCleIsbn10(const string &amp;p_isbn10)</div><div class="ttdoc">Fonction qui valide si la clé du code ISBN 10 entrée par l&amp;#39;utilisateur est valide. </div><div class="ttdef"><b>Definition:</b> validationFormat.cpp:296</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
